clear
%Definering av modellparametre:
tu=5; %Sprangtidspunkt for u
u0=0; %Verdi av u0 fr spranget
u1=2; %Verdi av u0 etter spranget
T=0.5; %Tidskonstant
K=2; %Forsterkning
tau=0.5; %Tidsforsinkelse
x0=4; %Initialverdi av x
T_array=[0.25 0.5 1 2]; %De tre T-verdiene.

%Setter simuleringsparametre:
tidsskritt=0.01;
options=simset('solver','ode5','fixedstep',tidsskritt); 
tstopp=10;

%En sekvens av simuleringer av systemet sys1:
for k=1:length(T_array)
    T=T_array(k); %Ny T-verdi hentes fra T_array.
    sim('sys1workspace',tstopp,options)
    x_matrise(:,k)=x; %Lagrer responser i x som kolonner i x_matrise.
end %for

%Plotting:
figure(1);
plot(t,x_matrise) %Plott av x_matrise og u som funksjoner av t
title('u (stiplet) og x for T=0,25, 0,5, 1 og 2.')
xlabel('t [sek]')